local module = {}

--- @param model ModelPart
--- @param func fun(model: ModelPart)
function module.forEachNonGroup(model, func)
    if model:getType() == "GROUP" then
        for _, child in pairs(model:getChildren()) do
            module.forEachNonGroup(child, func)
        end
    end

    if model:getType() == "CUBE" or model:getType() == "MESH" then
        func(model)
    end
end

return module
